#include <stdio.h>
#include <math.h>
#include "swis.h"

#define PI      (3.1415927)
#define RADIUS  (400.0)

int main(void)
{
        double  angle;

        /* Change to mode 0 */
        _swi(OS_ScreenMode, _IN(0) | _IN(1), 0, 0);

        /* Do some trig */
        for (angle = 0.00; angle < 360.0; angle = angle + 1.0)
        {
                double  x, y;

                x = RADIUS * sin((angle/180.0) * PI);
                y = RADIUS * cos((angle/180.0) * PI);

                _swi(OS_Plot, _IN(0) | _IN(1) | _IN(2), 
                     64 + 5,         /* Point absolute foreground colour */
                     640 + (int)x,   /* X coordinate centred on the screen */
                     512 + (int)y);  /* Y coordinate centred on the screen */
        }

        return 0;
}
